package jalview.ext.forester.io;

import java.util.List;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

import org.forester.archaeopteryx.webservices.PhylogeniesWebserviceClient;
import org.forester.archaeopteryx.webservices.WebservicesManager;

public class TreeDatabaseMenuBuilder
{
  final WebservicesManager webservicesManager;


  public TreeDatabaseMenuBuilder()

  {
    webservicesManager = WebservicesManager
            .getInstance();

  }

  public JMenu createDbMenu()
  {
    JMenu treeDbMenu = new JMenu();
    JMenuItem[] treeDatabaseMenuItems = new JMenuItem[webservicesManager
                                          .getAvailablePhylogeniesWebserviceClients().size()];
    
    for (int i = 0; i < treeDatabaseMenuItems.length; ++i)
    {
      final PhylogeniesWebserviceClient client = webservicesManager
              .getAvailablePhylogeniesWebserviceClient(i);
      treeDatabaseMenuItems[i] = new JMenuItem(
              client.getMenuName());
      treeDbMenu.add(treeDatabaseMenuItems[i]);

    }
    return treeDbMenu;
    
  }

  public List<PhylogeniesWebserviceClient> getTreeDatabases()
  {
    return webservicesManager.getAvailablePhylogeniesWebserviceClients();
  }

}
